Add a strategy to a feature flag

View as Markdown
Add a strategy to a feature flag in the specified environment.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired

Request

createFeatureStrategySchema
namestringRequired
The name of the strategy type
titlestring or nullOptional
A descriptive title for the strategy
disabledboolean or nullOptional
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs
sortOrderdoubleOptional
The order of the strategy in the list
constraintslist of objectsOptional

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objectsOptional
Strategy level variants
parametersmap from strings to stringsOptional
An object containing the parameters for the strategy
segmentslist of doublesOptional
Ids of segments to use for this strategy

Response

featureStrategySchema
namestring
The name or type of strategy
idstring
A uuid for the feature strategy
titlestring or null
A descriptive title for the strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs
featureNamestring
The name or feature the strategy is attached to
sortOrderdouble
The order of the strategy in the list
segmentslist of doubles
A list of segment ids attached to the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
parametersmap from strings to strings
A list of parameters for a strategy

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error